Bug report #20807

Cannot Install to Fedora 29, 64-bit

Added by elewis52 - 10 months ago. Updated 10 months ago.

Status:Closed
Priority:Normal
Assignee:-
Category:Build/Install
Affected QGIS version:3.4.2 Regression?:Yes
Operating System:Fedora 29 Easy fix?:No
Pull Request or Patch supplied:No Resolution:fixed/implemented
Crashes QGIS or corrupts data:Yes Copied to github as #:28626

Description

Enabling the needed repository: "sudo dnf copr enable dani/qgis" and then installing packages: "sudo dnf install qgis python3-qgis qgis-grass" causes errors upon installation of every needed file. I receive approximately 250 error messages, 1 for each file as follows:
file <name of file including path> conflicts between attempted installs of qgis-2.18.20-1.fc29.i686 and qgis-3.4.2-1.fc29.x86_64.
During troubleshooting, I added a line to /etc/dnf/dnf.conf: "exactarch=1" to attempt to force the 64-bit installation.
It appears that the packaging may be incorrect (two versions garbled together) or the instructions are incorrect (install one version or the other).

History

#1 Updated by Daniele Viganò 10 months ago

This was due a very recent change the upstream (Fedora maintainers) did on GRASS (they replaced GRASS 7.4.2 with 7.4.3), so packages need to be rebuilt. A rebuild is in progress, please wait 3-4hrs and try again: https://copr.fedorainfracloud.org/coprs/dani/qgis/build/837268/

#2 Updated by Daniele Viganò 10 months ago

Rebuild was completed. You can now install qgis-grass via:

sudo dnf install --refresh qgis python3-qgis qgis-grass

(Please note the --refresh flag). Issue should be solved.

#3 Updated by elewis52 - 10 months ago

Your recommendation worked. Installation completed without issue. Qgis runs well.
Thanks so much for your help.

#4 Updated by Marco Bernasocchi 10 months ago

  • Resolution set to fixed/implemented
  • Status changed from Open to Closed

Also available in: Atom PDF